# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauth
Interface OAuthSigner

All Known Implementing Classes:
  OAuthHmacSha1Signer, OAuthRsaSha1Signer

    public interface OAuthSigner

Interface for signing OAuth requests.

Method Summary
`java.lang.String` `getSignature(java.lang.String baseString, OAuthParameters oauthParameters)` Signs the input string using the appropriate signature method.
`java.lang.String` `getSignatureMethod()` Gets the signature method for this specific implementation.

Method Detail

### getSignature

    java.lang.String getSignature(java.lang.String baseString,
                                  OAuthParameters oauthParameters)
                                  throws OAuthException

  Signs the input string using the appropriate signature method.

  Parameters:
    `baseString` - the string to sign
    `oauthParameters` - the parameters related to the OAuth request or `null`
  Returns:
    the signed string
  Throws:
    `OAuthException` - if signing the request fails

### getSignatureMethod

    java.lang.String getSignatureMethod()

  Gets the signature method for this specific implementation.

  Returns:
    the signature method used to sign the base string